%define api3		2.90
%define lib3_major	9
%define lib3_name	%mklibname vte 2_90 %{lib3_major}
%define gir3name	%mklibname vte-gir %{api3}
%define develname3	%mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		vte2.90
Version:	0.36.5
Release:	%mkrel 4
Summary:	A terminal emulator widget
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/vte/%{url_ver}/vte-%{version}.tar.xz
Patch0:		vte-gtk32-meta-map.patch
BuildRequires:	pkgconfig(cairo-xlib)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.1.9
BuildRequires:	pkgconfig(pango) >= 1.22.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	automake
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool
# for /etc/profile.d/vte.sh
Requires:	vte3-profile

%description
VTE is a terminal emulator widget for use with GTK+ 3.0.

%package -n %{lib3_name}
Summary:	A terminal emulator widget
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{lib3_name}
VTE is a terminal emulator widget for use with GTK+ 3.0.

%package -n %{develname3}
Summary:	Files needed for developing applications which use VTE
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires: 	%{lib3_name} = %{version}-%{release}

%description -n %{develname3}
VTE is a terminal emulator widget for use with GTK+ 3.0.  This
package contains the files needed for building applications using VTE.


%prep
%setup -qn vte-%{version}
%apply_patches

%build
%configure2_5x \
	--enable-shared \
	--disable-static \
	--libexecdir=%{_libexecdir}/%{name} \
	--enable-gtk-doc \
	--enable-introspection
%make

%install
%makeinstall_std

#use one from vte3 .src.rpm
rm -rf %{buildroot}%{_sysconfdir}/profile.d/vte.sh

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang vte-%{api3}

%files -f vte-%{api3}.lang
%doc COPYING HACKING NEWS README
%{_bindir}/vte2_90
%dir %{_libexecdir}/%{name}
%attr(2711,root,utmp) %{_libexecdir}/%{name}/gnome-pty-helper

%files -n %{lib3_name}
%{_libdir}/libvte2_90.so.%{lib3_major}*
%{_libdir}/girepository-1.0/Vte-%{api3}.typelib

%files -n %{develname3}
%doc %{_datadir}/gtk-doc/html/vte-%{api3}
%{_includedir}/vte-%{api3}
%{_libdir}/libvte2_90.so
%{_libdir}/pkgconfig/vte-%{api3}.pc
%{_datadir}/gir-1.0/Vte-%{api3}.gir


%changelog
* Wed Sep 21 2016 bb <bb> 0.36.5-4pclos2016
- update

